% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summarise_sims.R
\name{summarise_sims}
\alias{summarise_sims}
\title{Summarize simulations to get operating characteristics}
\usage{
summarise_sims(data)
}
\arguments{
\item{data}{list (of data frames) or a single data frame. If summarizing a
single run of simulations, \code{data} will be a \code{data.frame} object
returned from \code{\link{survival_adapt}}. If summarizing multiple
simulation scenarios, \code{data} will be a \code{list} object, with each
element being a \code{data.frame} object.}
}
\value{
Data frame reporting the operating characteristics, including the
type 2 error (which will be equal to the type I error in the null case);
the proportion of trials that stopped for early expected success, futility,
or went to the maximum sample size. The average stopping sample size (and
standard deviation) are also recorded. The proportion of trials that
stopped early for expected success, yet went to ultimately fail are also
reported.
}
\description{
Summarize simulations to get operating characteristics
}
